Page 33 of 60 FirstFirst ... 23313233343543 ... LastLast
Results 321 to 330 of 598

Thread: GNOME3 Staging PPA

  1. #321
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by Harry33 View Post
    Hi VinDSL,

    Could you have the same bug as I do.
    After upgrading (from saucy-proposed) libvte9, booting stopped to tty1.
    Gdm just wont work.
    However, I can command startx from tty1 and that works.
    I downgraded libvte9 back to the version 0.34.2-0ubuntu2 and that solved the booting issue.
    Hi Harry,

    I'll go check -- might have snuck in under the radar.

    I usually check all the upgrades before committing them (especially "proposed", so called) but I was tired, last night. I just pulled the trigger, powered-down, and went to bed.

    Heh! Nasty surprise, when I attempted a boot-up, this morning. That woke me up... LoL!

    BBL
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  2. #322
    Join Date
    Jul 2008
    Location
    Canada
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    I'm not broken yet but I do have to login twice.
    UsingTheTerminal and PopularPages A very handy Documentation Search Tool used by many.

    Smile today, cry tomorrow!
    ( Read this everyday )

  3. #323
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Harry steered me down the correct path.

    The libvte9 version was okay, but I had to downgrade three other packages...


    Switched back to GDM, and it's working again.

    Still trying to figure out why DBUS MPRIS is broken.

    QDBUS isn't writing any data to '/usr/lib/i386-linux-gnu/qt5/bin/qdbus'.

    Continuing...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  4. #324
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Think I found my (MPRIS) problem... affects all DEs installed on this (saucy) desktop box BTW.

    Interesting read!

    BUG LINK: https://bugs.launchpad.net/ubuntu/+s...r/+bug/1176686

    Hmm, this is a bit complicated. qtchooser shouldn't be installed on non-development machines [...] was patched to forcefully add /usr/lib/[your-arch]/qt4/bin to PATH which is why it works for most people now (but causes Qt5 to not be easily usable [...] since the addition is before /usr/bin).

    The root problem within qtchooser itself is that it handles qdbus the same as purely development oriented binaries, so qdbus cannot be installed to /usr/bin as before, so on non-development machines qdbus is not available at all via default PATH, regardless of multi-arch or not.

    One more change is that qdbus has now been split to its own qdbus-qt5 package in Debian, so it will come to saucy as well.

    [...] regarding qtchooser itself, I'm not sure. The upstream probably hasn't considered multi-arch so far.
    Looks like the devil has appeared at our doorsteps! LoL!


    TEST BUILDS: https://launchpad.net/~canonical-qt5...t5-beta-proper


    Guess I'll wait for the devs to sort this. I don't like rolling back/pinning packages...

    It's not a deal-breaker for me, anyway. I just like seeing the song titles in Conky.
    Last edited by VinDSL; May 26th, 2013 at 12:55 AM. Reason: Addendum
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  5. #325
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by VinDSL View Post
    Harry steered me down the correct path.

    The libvte9 version was okay, but I had to downgrade three other packages...
    Switched back to GDM, and it's working again.

    Still trying to figure out why DBUS MPRIS is broken.

    QDBUS isn't writing any data to '/usr/lib/i386-linux-gnu/qt5/bin/qdbus'.

    Continuing...
    Hi there,

    So you have the working vte3 (version 0.34.2-0ubuntu2) installed.
    It would be nice to know does gdm work in your setup, if you upgrade vte3 to the version 0.34.5-1ubuntu1.
    Last edited by Harry33; May 26th, 2013 at 12:16 PM.

  6. #326
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by Harry33 View Post
    So you have the working libvte9 (version 0.34.2-0ubuntu2) installed.
    libvte9 was okay. I didn't downgrade it...

    Code:
    vindsl@Zuul:~$ apt-cache policy libvte9
    libvte9:
      Installed: 1:0.28.2-5ubuntu1
      Candidate: 1:0.28.2-5ubuntu1
      Version table:
     *** 1:0.28.2-5ubuntu1 0
            500 http://archive.ubuntu.com/ubuntu/ saucy/main i386 Packages
            100 /var/lib/dpkg/status
    This is a i386 computer. I'm seeing that as the most recent version -- the only version available, actually.

    I downgraded the other packages from 0.34.5-1ubuntu1 -> 0.34.2-0ubuntu2

    That's what got GDM working again, for me.

    Where did you find libvte9 0.34.2-0ubuntu2 ? I cannot find it.

    I wouldn't mind trying 0.35.5-1ubuntu1, but I searched and... no joy there either.
    Last edited by VinDSL; May 26th, 2013 at 05:39 AM. Reason: Addendum
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  7. #327
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by VinDSL View Post
    libvte9 was okay. I didn't downgrade it...

    Code:
    vindsl@Zuul:~$ apt-cache policy libvte9
    libvte9:
      Installed: 1:0.28.2-5ubuntu1
      Candidate: 1:0.28.2-5ubuntu1
      Version table:
     *** 1:0.28.2-5ubuntu1 0
            500 http://archive.ubuntu.com/ubuntu/ saucy/main i386 Packages
            100 /var/lib/dpkg/status
    This is a i386 computer. I'm seeing that as the most recent version -- the only version available, actually.

    I downgraded the other packages from 0.34.5-1ubuntu1 -> 0.34.2-0ubuntu2

    That's what got GDM working again, for me.

    Where did you find libvte9 0.34.2-0ubuntu2 ? I cannot find it.

    I wouldn't mind trying 0.35.5-1ubuntu1, but I searched and... no joy there either.
    Sorry for this confusion I have made.
    The vte3 version that does not work with gdm (I tested on AMD 64-bit and Intel 32-bit) is 0.34.5-1ubuntu1.
    The vte3 version that works is 0.34.2-0ubuntu2. That is here:
    https://launchpad.net/ubuntu/+source....34.2-0ubuntu2

    I am talking about two packages from the same source (vte3): libvte-2.90-9 and libvte-2.90-common.

  8. #328
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by Harry33 View Post
    Sorry for this confusion I have made.[...]
    No problem! Those particular version numbers are a real mind-twister. LoL!
    Quote Originally Posted by Harry33 View Post
    The vte3 version that works is 0.34.2-0ubuntu2. That is here:
    https://launchpad.net/ubuntu/+source....34.2-0ubuntu2

    I am talking about two packages from the same source (vte3): libvte-2.90-9 and libvte-2.90-common.
    Yep, that's where I snagged the packages, yesterday (pictured above).

    Those are the ones that successfully resurrected GDM...
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  9. #329
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by VinDSL View Post
    No problem! Those particular version numbers are a real mind-twister. LoL!

    Yep, that's where I snagged the packages, yesterday (pictured above).

    Those are the ones that successfully resurrected GDM...
    Yes, I use those same packages, in order to keep gdm going.

  10. #330
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,874
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Well...

    I'm back to LightDM. LoL!

    I've been chomping at the bit, trying to figure out of way to install Linux 3.10 on this legacy machine.

    Finally came up with a winning combination, except GDM won't work, again...

    Code:
    Current Date/Time: Sun May 26 10:45:04 MST 2013
    Distro Release: Ubuntu Saucy Salamander (development branch)
    Kernel Release: Linux 3.10.0-031000rc2-generic
    Gnome Release: GNOME Shell 3.9.1
    Unity Release: unity 7.0.0
    
    OpenGL vendor string:   VMware, Inc.
    OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.2, 128 bits)
    OpenGL version string:  2.1 Mesa 9.2.0
    LLVMpipe generation is slow, e.g. laggy, but GNOME3 Staging fired right up.

    Desktop looked wretched on Linux 3.9.2, but Linux 3.10-rc2 worked a treat...

    Anyway, this'll do, until I can come up with a patch for nVidia-304 (or official support is available).
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

Page 33 of 60 FirstFirst ... 23313233343543 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •